## UIM Refresh Complete request UIM Refresh Complete request |

## Functions

QmiMessageUimRefreshCompleteInput * | qmi_message_uim_refresh_complete_input_new ()
QmiMessageUimRefreshCompleteInput * | qmi_message_uim_refresh_complete_input_ref ()
void | qmi_message_uim_refresh_complete_input_unref ()
gboolean | qmi_message_uim_refresh_complete_input_get_info ()
gboolean | qmi_message_uim_refresh_complete_input_set_info ()
gboolean | qmi_message_uim_refresh_complete_input_get_session ()
gboolean | qmi_message_uim_refresh_complete_input_set_session ()
QmiMessageUimRefreshCompleteOutput * | qmi_message_uim_refresh_complete_output_ref ()
void | qmi_message_uim_refresh_complete_output_unref ()
gboolean | qmi_message_uim_refresh_complete_output_get_result ()
void | qmi_client_uim_refresh_complete ()
QmiMessageUimRefreshCompleteOutput * | qmi_client_uim_refresh_complete_finish ()

## Types and Values

| QmiMessageUimRefreshCompleteInput
| QmiMessageUimRefreshCompleteOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimRefreshCompleteInput
        ╰── QmiMessageUimRefreshCompleteOutput

## Description

## Functions

### qmi_message_uim_refresh_complete_input_new ()

    QmiMessageUimRefreshCompleteInput *
    qmi_message_uim_refresh_complete_input_new
                                   (void);

Allocates a new QmiMessageUimRefreshCompleteInput.

#### Returns

the newly created QmiMessageUimRefreshCompleteInput. The returned value should be freed with `qmi_message_uim_refresh_complete_input_unref()`.

Since: 1.28

### qmi_message_uim_refresh_complete_input_ref ()

    QmiMessageUimRefreshCompleteInput *
    qmi_message_uim_refresh_complete_input_ref
                                   (QmiMessageUimRefreshCompleteInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRefreshCompleteInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_uim_refresh_complete_input_unref ()

    void
    qmi_message_uim_refresh_complete_input_unref
                                   (QmiMessageUimRefreshCompleteInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRefreshCompleteInput. |

Since: 1.28

### qmi_message_uim_refresh_complete_input_get_info ()

    gboolean
    qmi_message_uim_refresh_complete_input_get_info
                                   (QmiMessageUimRefreshCompleteInput *self,
                                    gboolean *value_info_refresh_success,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageUimRefreshCompleteInput. |
value_info_refresh_success | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_complete_input_set_info ()

    gboolean
    qmi_message_uim_refresh_complete_input_set_info
                                   (QmiMessageUimRefreshCompleteInput *self,
                                    gboolean value_info_refresh_success,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageUimRefreshCompleteInput. |
value_info_refresh_success | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_complete_input_get_session ()

    gboolean
    qmi_message_uim_refresh_complete_input_get_session
                                   (QmiMessageUimRefreshCompleteInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimRefreshCompleteInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. | [out][optional]
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_complete_input_set_session ()

    gboolean
    qmi_message_uim_refresh_complete_input_set_session
                                   (QmiMessageUimRefreshCompleteInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimRefreshCompleteInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_complete_output_ref ()

    QmiMessageUimRefreshCompleteOutput *
    qmi_message_uim_refresh_complete_output_ref
                                   (QmiMessageUimRefreshCompleteOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRefreshCompleteOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_uim_refresh_complete_output_unref ()

    void
    qmi_message_uim_refresh_complete_output_unref
                                   (QmiMessageUimRefreshCompleteOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRefreshCompleteOutput. |

Since: 1.28

### qmi_message_uim_refresh_complete_output_get_result ()

    gboolean
    qmi_message_uim_refresh_complete_output_get_result
                                   (QmiMessageUimRefreshCompleteOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimRefreshCompleteOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_uim_refresh_complete ()

    void
    qmi_client_uim_refresh_complete (QmiClientUim *self,
                                     QmiMessageUimRefreshCompleteInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Refresh Complete request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_refresh_complete_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimRefreshCompleteInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_uim_refresh_complete_finish ()

    QmiMessageUimRefreshCompleteOutput *
    qmi_client_uim_refresh_complete_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_refresh_complete()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_refresh_complete()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimRefreshCompleteOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_refresh_complete_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageUimRefreshCompleteInput

    typedef struct _QmiMessageUimRefreshCompleteInput QmiMessageUimRefreshCompleteInput;

The QmiMessageUimRefreshCompleteInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageUimRefreshCompleteOutput

    typedef struct _QmiMessageUimRefreshCompleteOutput QmiMessageUimRefreshCompleteOutput;

The QmiMessageUimRefreshCompleteOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28